> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/masters-india-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/masters-india-apis/business-verification-api/mca-status-api.md).

# MCA Status API

This API will take Corporate Identification Number and connect with MCA API to get\
data.

{% tabs %}
{% tab title="MCA Status API" %}

<table><thead><tr><th width="170">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v2/sbt/MCA/">https://api-platform.mastersindia.co/api/v2/sbt/MCA/</a></td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Post Parameters (JSON Format)</strong></td><td>--header 'Content-Type: application/json'<br>--header 'Authorization: Bearer <br>--header 'Accept: application/json'<br>--data-raw '{ "cin":"L17110MH1973PLC019786" }'</td></tr><tr><td><strong>Success Response</strong></td><td><p>In case corporate identification number exist</p><pre class="language-json"><code class="lang-json">```json
{
    "response": [
        {
            "response": {
                "cin": "L72900MH2000PLC128943",
                "companyName": "IRIS BUSINESS SERVICES LIMITED",
                "companyStatus": "Active",
                "email": "cs@irisbusiness.com",
                "financialAuditStatus": "YES",
                "incorporationDate": "03/10/2000",
                "registeredAddress": "T-231, Tower 2, 3rd Floor, International Infortech Park, Vashi Station Vashi MH 400703 IN",
                "registeredContactNo": "",
                "rocCode": "RoC-Mumbai",
                "financialDetails": [
                    {
                        "profitLoss": "         6757000.00",
                        "year": "2022",
                        "turnOver": "       561519000.00"
                    },
                    {
                        "profitLoss": "        33255303.00",
                        "year": "2021",
                        "turnOver": "       530878129.00"
                    },
                    {
                        "profitLoss": "        15084880.00",
                        "year": "2020",
                        "turnOver": "       488822751.00"
                    }
                ]
            },
            "responseStatus": "SUCCESS"
        }
    ],
    "error": "false",
    "code": "200",
    "message": "Success"
}
```
</code></pre></td></tr><tr><td></td><td><p>In case of invalid format</p><ol><li>Invalid corporate identification number</li></ol><pre><code>"response": null, 
"error": "true", 
"code": "400", 
"message": "Data format failed OR wrong value entered at:  cin. Format should follow ^([L|U]{1})([0
</code></pre><p>9]{5})([A-Za-z]{2})([0-9]{4})([A-Za-z]{3})([0-9]{6})$<br>}</p></td></tr><tr><td></td><td><p>b) In case of CIN does not exist in GST system</p><p>{ "response": [ { "response": { "error": "record_not_found", "error_description": "No record found" }, "responseStatus": "ERROR" } ], "error": "false", "code": "200", "message": "Success" }</p></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

Status Code 200: corporate data response\
Status Code 400: Bad request (Invalid json syntax, invalid json key)\
Status Code 401 or 403: Unauthenticated or Unauthorized\
Status Code 500: Some internal server error occurred\
Status Code 502: Server is not responding.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersindia.co/masters-india-apis/business-verification-api/mca-status-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
